%global        snapdate   20130209
%global        snaphash   4c461fe
%global        snapver    %{snapdate}.git%{snaphash}


Name:           trac-mastertickets-plugin
Version:        3.0.3
Release:        13.%{snapver}%{?dist}
Summary:        Add support for ticket dependencies to Trac

License:        BSD
URL:            http://trac-hacks.org/wiki/MasterTicketsPlugin
# Upstream doesn't publish release tarballs yet, so we make one:
#  $ git clone https://github.com/coderanger/trac-mastertickets.git && cd trac-mastertickets
#  $ git archive --format=tar --prefix=trac-mastertickets-plugin-3.0.3/ 4c461fe | xz -z > trac-mastertickets-plugin-3.0.3-20130209.git4c461fe.tar.xz
Source0:        %{name}-%{version}-%{snapver}.tar.xz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       trac >= 0.12.0
Requires:       graphviz

%description
This plugin adds "blocks" and "blocked by" fields to each ticket, enabling
you to express dependencies between tickets. It also provides a
graphviz-based dependency-graph feature for those tickets having
dependencies specified, allowing you to visually understand the
dependency tree. The dependency graph is viewable by clicking 'depgraph' in
the context (in the upper right corner) menu when viewing a ticket that
blocks or is blocked by another ticket.

%prep
%setup -q


%build
%{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 

%files
%doc README COPYING
# For noarch packages: sitelib
%{python2_sitelib}/*


%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-13.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-12.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jul 18 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.3-11.20130209.git4c461fe
-  Use the py2 version of the macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-10.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-9.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Feb 04 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.0.3-8.20130209.git4c461fe
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-7.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-6.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-5.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-4.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-3.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2.20130209.git4c461fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 09 2013 Kevin Fenzi <kevin@scrye.com> 3.0.3-1.
- Update to 3.0.3 and new snapshot. Fixes bug #907591

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-4.20111215.git43a7537
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-3.20111215.git43a7537
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.2-2.20111215.git43a7537
- Add BR python-setuptools

* Thu Dec 15 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.2-1.20111215.git43a7537
- Initial packaging
